import _extends from 'babel-runtime/helpers/extends';
import React from 'react';
import Pane from './Pane';

var Code = function Code(props) {
  return React.createElement(Pane, _extends({
    is: 'code'
  }, props, {
    textStyle: 'mono',
    border: true,
    tint: true,
    rounded: true,
    paddingX: '4px',
    paddingY: '2px'
  }));
};

Code.propTypes = _extends({}, Pane.propTypes);

export default Code;