import _extends from 'babel-runtime/helpers/extends';
import _objectWithoutProperties from 'babel-runtime/helpers/objectWithoutProperties';
import React from 'react';
import Icon from './Icon';

var DoubleTriangle = function DoubleTriangle(_ref) {
  var fill = _ref.fill,
      props = _objectWithoutProperties(_ref, ['fill']);

  return React.createElement(
    Icon,
    props,
    React.createElement(
      'svg',
      { style: { display: 'block' }, xmlns: 'http://www.w3.org/2000/svg', xmlnsXlink: 'http://www.w3.org/1999/xlink', x: '0px', y: '0px', width: '100%', height: '100%', viewBox: '0 0 24 24' },
      React.createElement(
        'g',
        null,
        React.createElement('polygon', { fill: fill, points: '12,2 18,10 6,10' }),
        React.createElement('polygon', { fill: fill, points: '12,22 18,14 6,14' })
      )
    )
  );
};

DoubleTriangle.propTypes = _extends({}, Icon.propTypes);

DoubleTriangle.defaultProps = _extends({}, Icon.defaultProps);

export default DoubleTriangle;