import _extends from 'babel-runtime/helpers/extends';
import _objectWithoutProperties from 'babel-runtime/helpers/objectWithoutProperties';
import React from 'react';
import Icon from './Icon';

var FilterIcon = function FilterIcon(_ref) {
  var fill = _ref.fill,
      props = _objectWithoutProperties(_ref, ['fill']);

  return React.createElement(
    Icon,
    props,
    React.createElement(
      'svg',
      { style: { display: 'block' }, width: '100%', height: '100%', viewBox: '0 0 13 13', xmlns: 'http://www.w3.org/2000/svg' },
      React.createElement('path', { fill: fill, d: 'M11.3024.6135H.7664c-.4516 0-.7526.287-.7526.7172V2.765c0 .215.0752.4302.301.5736L4.5292 6.709v4.6615c0 .287.1505.5737.4516.6454.0752.0714.2257.0714.301.0714.2258 0 .3763-.0717.5268-.215l1.505-1.4344c.1506-.1433.226-.2867.226-.502V6.709l4.2143-3.3705c.2255-.1434.301-.3585.301-.5737V1.3306c0-.4303-.301-.7172-.7528-.7172z' })
    )
  );
};

FilterIcon.propTypes = _extends({}, Icon.propTypes);

FilterIcon.defaultProps = _extends({}, Icon.defaultProps, {
  size: 'small'
});

export default FilterIcon;