import _Object$getPrototypeOf from 'babel-runtime/core-js/object/get-prototype-of';
import _classCallCheck from 'babel-runtime/helpers/classCallCheck';
import _createClass from 'babel-runtime/helpers/createClass';
import _possibleConstructorReturn from 'babel-runtime/helpers/possibleConstructorReturn';
import _inherits from 'babel-runtime/helpers/inherits';
import { Component } from 'react';
import { css } from 'glamor';
import theme from './theme';

var GlobalStyles = function (_Component) {
  _inherits(GlobalStyles, _Component);

  function GlobalStyles() {
    _classCallCheck(this, GlobalStyles);

    return _possibleConstructorReturn(this, (GlobalStyles.__proto__ || _Object$getPrototypeOf(GlobalStyles)).apply(this, arguments));
  }

  _createClass(GlobalStyles, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      css.global('html', {
        width: '100%',
        height: '100%',
        margin: 0,
        background: theme.backgrounds.tint1.backgroundColor
      });

      css.global('body', {
        display: 'flex',
        flexDirection: 'column',
        minWidth: '100%',
        minHeight: '100%',
        margin: 0,
        fontFamily: theme.fonts.sans,
        fontSize: theme.textStyles.body1.fontSize,
        fontWeight: theme.textStyles.body1.fontWeight,
        letterSpacing: theme.textStyles.body1.letterSpacing
      });

      css.global('body > div:first-child', {
        // This is meant as a robust way to make flexed layouts work for React roots
        // This makes the assumption that the div is the #root
        display: 'flex',
        flex: 1,
        width: '100%'
      });
    }
  }, {
    key: 'render',
    value: function render() {
      return null;
    }
  }]);

  return GlobalStyles;
}(Component);

export default GlobalStyles;