import _extends from 'babel-runtime/helpers/extends';
import React from 'react';
import Box from './Box';
import theme from './theme';

var Pill = function Pill(props) {
  return React.createElement(Box, _extends({
    rounded: '100px',
    textStyle: 'pill',
    backgroundColor: theme.rawColors.pink500,
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'center'
  }, props));
};

Pill.propTypes = _extends({}, Box.propTypes);

Pill.defaultProps = {
  is: 'div',
  width: '70px',
  height: '17px',
  textColor: 'white'
};

Pill.displayName = 'Pill';

export default Pill;