import _extends from 'babel-runtime/helpers/extends';
import React from 'react';
import { css } from 'glamor';
import Pane from './Pane';
import theme from './theme';
import { InputAppearances } from 'evergreen-shared-styles';
var minorScale = theme.minorScale,
    majorScale = theme.majorScale;


var styles = css(_extends({
  display: 'block',
  width: '100%',
  padding: majorScale(1) + ' ' + minorScale(3),
  borderRadius: 4
}, InputAppearances.default));

var Textarea = function Textarea(props) {
  return React.createElement(Pane, _extends({}, props, styles));
};

Textarea.defaultProps = {
  is: 'textarea',
  textStyle: 'body1'
};

export default Textarea;