import _extends from 'babel-runtime/helpers/extends';
import _objectWithoutProperties from 'babel-runtime/helpers/objectWithoutProperties';
import PropTypes from 'prop-types';

export var propTypes = {
  truncate: PropTypes.bool
};

var parseProps = function parseProps(_ref) {
  var truncate = _ref.truncate,
      style = _ref.style,
      props = _objectWithoutProperties(_ref, ['truncate', 'style']);

  var styles = {};

  if (truncate) {
    styles.whiteSpace = 'nowrap';
    styles.overflow = 'hidden';
    styles.textOverflow = 'ellipsis';
  }

  return _extends({ style: _extends({}, styles, style) }, props);
};
export { parseProps };