'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = formsStory;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _components = require('../components');

var _Content = require('./Content');

var _Content2 = _interopRequireDefault(_Content);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var majorScale = _components.theme.majorScale;
function formsStory(module) {
  (0, _react3.storiesOf)('Forms', module).add('usage', function () {
    return _react2.default.createElement(
      _components.App,
      { white: true },
      _react2.default.createElement(
        _components.Pane,
        { white: true, padding: majorScale(10) },
        _react2.default.createElement(
          _Content2.default,
          { markdown: true },
          '\n# Forms (WIP)\n\nGeneral rules for form validation:\n\n* Show validation after submit\n* After submit show validation messages onChange\n* Avoid negative feedback (red colors, negative tone of voice)\n* Show helpful information under a field when necessary\n* Clicking labels should focus the corresponding field htmlFor + id\n* Be lenient in what you accept\n\nSee Input and Search Input.\n\n'
        )
      )
    );
  });
}