import _extends from 'babel-runtime/helpers/extends';
import _objectWithoutProperties from 'babel-runtime/helpers/objectWithoutProperties';
import React from 'react';
import DirectionalIcon from './DirectionalIcon';

var Arrow = function Arrow(_ref) {
  var fill = _ref.fill,
      props = _objectWithoutProperties(_ref, ['fill']);

  return React.createElement(
    DirectionalIcon,
    props,
    React.createElement(
      'svg',
      { style: { display: 'block' }, xmlns: 'http://www.w3.org/2000/svg', xmlnsXlink: 'http://www.w3.org/1999/xlink', x: '0px', y: '0px', width: '100%', height: '100%', viewBox: '0 0 16 16' },
      React.createElement(
        'g',
        null,
        React.createElement('polygon', { fill: fill, points: '1.3,6.7 2.7,8.1 7,3.8 7,16 9,16 9,3.8 13.3,8.1 14.7,6.7 8,0 ' })
      )
    )
  );
};

Arrow.propTypes = _extends({}, DirectionalIcon.propTypes);

Arrow.defaultProps = _extends({}, DirectionalIcon.defaultProps);

export default Arrow;