import _Object$getPrototypeOf from 'babel-runtime/core-js/object/get-prototype-of';
import _classCallCheck from 'babel-runtime/helpers/classCallCheck';
import _createClass from 'babel-runtime/helpers/createClass';
import _possibleConstructorReturn from 'babel-runtime/helpers/possibleConstructorReturn';
import _inherits from 'babel-runtime/helpers/inherits';
import { Component } from 'react';
import { css } from 'glamor';

var createURLS = function createURLS(path) {
  return '\n  url(https://static.segment.com/fonts/' + path + '.woff2) format(\'woff2\'),\n  url(https://static.segment.com/fonts/' + path + '.woff) format(\'woff\')\n';
};

var Fonts = function (_Component) {
  _inherits(Fonts, _Component);

  function Fonts() {
    _classCallCheck(this, Fonts);

    return _possibleConstructorReturn(this, (Fonts.__proto__ || _Object$getPrototypeOf(Fonts)).apply(this, arguments));
  }

  _createClass(Fonts, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      css.fontFace({
        fontFamily: 'Droid Sans Mono',
        src: 'local(\'Droid Sans Mono\'),\n          ' + createURLS('droid-sans-mono/droid-sans-mono'),
        fontStyle: 'normal',
        fontWeight: '400'
      });

      css.fontFace({
        fontFamily: 'Segment Aleo',
        src: 'local(\'Aleo\'),\n        ' + createURLS('aleo/aleo'),
        fontStyle: 'normal',
        fontWeight: '400'
      });

      css.fontFace({
        fontFamily: 'Segment Aleo',
        src: 'local(\'Aleo\'),\n        ' + createURLS('aleo/aleo'),
        fontStyle: 'normal',
        fontWeight: '400'
      });

      css.fontFace({
        fontFamily: 'Segment Circular Std',
        src: 'local(\'Circular Std Book\'),\n           local(\'CircularStd-Book\'),\n           ' + createURLS('circular/circular-std-book'),
        fontStyle: 'normal',
        fontWeight: '400'
      });

      css.fontFace({
        fontFamily: 'Segment Circular Std',
        src: 'local(\'Circular Std Book Italic\'),\n           local(\'CircularStd-BookItalic\'),\n           ' + createURLS('circular/circular-std-book-italic'),
        fontStyle: 'italic',
        fontWeight: '400'
      });

      css.fontFace({
        fontFamily: 'Segment Circular Std',
        src: 'local(\'Circular Std Medium\'), /* Medium has a spaced font name \xAF\\_(\u30C4)_/\xAF */\n           local(\'CircularStd-Medium\'),\n           ' + createURLS('circular/circular-std-medium'),
        fontStyle: 'normal',
        fontWeight: '500'
      });

      css.fontFace({
        fontFamily: 'Segment Circular Std',
        src: 'local(\'Circular Std Bold\'),\n           local(\'CircularStd-Bold\'),\n           ' + createURLS('circular/circular-std-bold'),
        fontStyle: 'normal',
        fontWeight: '600'
      });

      css.fontFace({
        fontFamily: 'Segment Circular Std',
        src: 'local(\'Circular Std Black\'),\n           local(\'CircularStd-Black\'),\n           ' + createURLS('circular/circular-std-black'),
        fontStyle: 'normal',
        fontWeight: '900'
      });
    }
  }, {
    key: 'render',
    value: function render() {
      return null;
    }
  }]);

  return Fonts;
}(Component);

export default Fonts;