import _extends from 'babel-runtime/helpers/extends';
import _objectWithoutProperties from 'babel-runtime/helpers/objectWithoutProperties';
import PropTypes from 'prop-types';

export var propTypes = {
  display: PropTypes.oneOf(['block', 'inline-block', 'inline', 'table', 'table-row', 'table-cell', 'flex', 'inline-flex'])
};

var parseProps = function parseProps(_ref) {
  var display = _ref.display,
      style = _ref.style,
      props = _objectWithoutProperties(_ref, ['display', 'style']);

  var styles = {};

  if (display) styles.display = display;

  return _extends({ style: _extends({}, styles, style) }, props);
};
export { parseProps };