'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Icon = require('./Icon');

var _Icon2 = _interopRequireDefault(_Icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var IconAim = {
  top: '0deg',
  up: '0deg',
  right: '90deg',
  bottom: '180deg',
  down: '180deg',
  left: '270deg'
};

var DirectionalIcon = function DirectionalIcon(_ref) {
  var aim = _ref.aim,
      _ref$transform = _ref.transform,
      transform = _ref$transform === undefined ? '' : _ref$transform,
      props = _objectWithoutProperties(_ref, ['aim', 'transform']);

  return _react2.default.createElement(_Icon2.default, _extends({ transform: transform + ' rotate(' + IconAim[aim] + ')' }, props));
};

DirectionalIcon.propTypes = _extends({}, _Icon2.default.propTypes, {
  aim: _propTypes2.default.oneOf(Object.keys(IconAim))
});

DirectionalIcon.defaultProps = _extends({}, _Icon2.default.defaultProps, {
  aim: 'right'
});

exports.default = DirectionalIcon;