'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (module) {
  (0, _react3.storiesOf)('Code', module).add('usage', function () {
    return _react2.default.createElement(
      _components.App,
      { white: true },
      _react2.default.createElement(
        _components.Pane,
        { white: true, padding: majorScale(10) },
        _react2.default.createElement(
          _Content2.default,
          { markdown: true },
          '\n# Code\n\nThe Code component is an inline code block (not syntax highlighted).\n\n* Always wrap code in a string literal for safety.\n* Always escape the content.\n\n```\nThe <Code>{\'<Popover>\'}</Code> component is pretty cool.\n```\n\n'
        ),
        'The ',
        _react2.default.createElement(
          _components.Code,
          null,
          '<Popover>'
        ),
        ' component is pretty cool.'
      )
    );
  });
};

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _components = require('../components');

var _Content = require('./Content');

var _Content2 = _interopRequireDefault(_Content);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var majorScale = _components.theme.majorScale;