'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = paneStory;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _components = require('../components');

var _Content = require('./Content');

var _Content2 = _interopRequireDefault(_Content);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var majorScale = _components.theme.majorScale;
function paneStory(module) {
  (0, _react3.storiesOf)('Segment Logo and Icon', module).add('usage', function () {
    return _react2.default.createElement(
      _components.App,
      null,
      _react2.default.createElement(
        _components.Pane,
        { white: true, padding: majorScale(10) },
        _react2.default.createElement(
          _Content2.default,
          { markdown: true },
          '\n  # Segment Logo and Icon\n\n  The SegmentLogo and SegmentIcon component both implement `<Box />`.\n\n  ```\n  <SegmentLogo width=\'106px\' display=\'inline-block\' marginRight={4} />\n  <SegmentIcon width=\'25px\' display=\'inline-block\' />\n  ```\n\n  '
        ),
        _react2.default.createElement(_components.SegmentLogo, { width: '106px', display: 'inline-block', marginRight: majorScale(2) }),
        _react2.default.createElement(_components.SegmentIcon, { width: '25px', display: 'inline-block' })
      )
    );
  }).add('Segment Logo', function () {
    return _react2.default.createElement(_components.SegmentLogo, { width: '106px' });
  }).add('Segment Icon', function () {
    return _react2.default.createElement(_components.SegmentIcon, { width: '25px' });
  });
}